<template>
    <div>
        <div><h1>{{duration}} seconds timeline</h1></div>
        <img alt="runner" class="runner first" src="../assets/runner.png"/>
        <img alt="runner" class="runner second" src="../assets/runner.png"/>
        <img alt="runner" class="runner third" src="../assets/runner.png"/>
    </div>
</template>

<script>
    import gsap from 'gsap'

    export default {
        data: () => ({
            duration: 0
        }),
        mounted() {
            let tl = gsap.timeline({repeat: -1, repeatDelay: 1})
            tl.to('.first', {x: 700, duration: 3.14, ease: 'expo.out'})
            tl.to('.second', {x: 700, duration: 4, ease: 'expo.out'}, '<.5')
            tl.to('.third', {x: 700, duration: 2, ease: 'expo.out'}, '<')
            this.duration = tl.duration()
        }
    }
</script>

<style scoped>
    .runner {
        display: block;
        height: 5em;
        width: 5em;
        margin-top: 1.5em;
    }
</style>
